AVS Forum banner
1 - 3 of 3 Posts

·
Registered
Joined
·
47 Posts
Discussion Starter · #1 ·
I have a first gen., non-balanced Lex. MC-12 running software version 3.11. Obviously the hardware upgrade was installed to support the 3.11 software.

Can I or should I upgrade the unit to software ver.5.25?

Thanks.

-paul.
 

·
Premium Member
Joined
·
1,526 Posts
I have a first gen., non-balanced Lex. MC-12 running software version 3.11. Obviously the hardware upgrade was installed to support the 3.11 software.

Can I or should I upgrade the unit to software ver.5.25?

Thanks.

-paul.
Call Pyramid Audio in Austin, TX and talk to Chris. He can explain the features included with each upgrade version. He can also perform the upgrades if needed.
 

·
Registered
Joined
·
47 Posts
Discussion Starter · #3 ·
Call Pyramid Audio in Austin, TX and talk to Chris. He can explain the features included with each upgrade version. He can also perform the upgrades if needed.
Thanks. I've already updated the system board to facilitate the 3.11 software update. In fact that was done in 2004. What I'd like to know is if the version 5.xx software is compatible with my particular unit. I can handle the software update myself.

I'll contact Chris, so thanks for the tip ...

-paul.
 
1 - 3 of 3 Posts
Top